genvalidity-containers-1.0.0.2: GenValidity support for containers

Safe Haskell | None
Language | Haskell2010

Data.GenValidity.Tree

Contents

- Orphan instances

Synopsis

- genTreeOf :: Gen a -> Gen (Tree a)
- shrinkTreeOf :: (a -> [a]) -> Tree a -> [Tree a]

# Documentation

genTreeOf :: Gen a -> Gen (Tree a) Source #

Generate a tree of values that are generated as specified.

This takes the size parameter much better into account

shrinkTreeOf :: (a -> [a]) -> Tree a -> [Tree a] Source #

# Orphan instances

GenValid a => GenValid (Tree a) Source # |
Instance details Methods genValid :: Gen (Tree a) Source # shrinkValid :: Tree a -> [Tree a] Source #